Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.authentication
Interface IdentityAsserterMBean

All Superinterfaces:
  AuthenticationProviderMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface IdentityAsserterMBean
extends AuthenticationProviderMBean

The SSPI MBean that all Identity Assertion providers must extend. This MBean enables an Identity Assertion provider to specify the token types for which it is capable of asserting identity.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String[]` | `getActiveTypes()` Returns the token types that the Identity Assertion provider is currently configured to process.
`boolean` | `getBase64DecodingRequired()` Returns whether the tokens that are passed to the Identity Assertion provider will be will base64 decoded first.
`String[]` | `getSupportedTypes()` Returns the list of token types supported by the Identity Assertion provider.
`void` | `setActiveTypes(String[] types)` Sets the token types that the Identity Assertion provider will process.
`void` | `setBase64DecodingRequired(boolean decodingRequired)` Sets whether the tokens that are passed to the Identity Assertion provider will be will base64 decoded first.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getName, getRealm, getVersion`

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getActiveTypes

    public String[] getActiveTypes()

  Returns the token types that the Identity Assertion provider is currently configured to process.

  A dynamic MBean attribute.
    false

### getBase64DecodingRequired

    public boolean getBase64DecodingRequired()

  Returns whether the tokens that are passed to the Identity Assertion provider will be will base64 decoded first. If `false` then the server will not base64 decode the token before passing it to the identity asserter. This defaults to `true` for backwards compatibility but most providers will probably want to set this to `false`.

  Default value:
    true
  A dynamic MBean attribute.
    false

### getSupportedTypes

    public String[] getSupportedTypes()

  Returns the list of token types supported by the Identity Assertion provider.

  To see a list of default token types, refer the Javadoc for `weblogic.security.spi.IdentityAsserter`

  A dynamic MBean attribute.
    false

### setActiveTypes

    public void setActiveTypes(String[] types)
                        throws InvalidAttributeValueException

  Sets the token types that the Identity Assertion provider will process. Only types from the Identity Assertion provider's `SupportedTypes` attribute may be specified.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getActiveTypes()`

### setBase64DecodingRequired

    public void setBase64DecodingRequired(boolean decodingRequired)
                                   throws InvalidAttributeValueException

  Sets whether the tokens that are passed to the Identity Assertion provider will be will base64 decoded first.

  Parameters:
    `decodingRequired` - - the new base64 decoding required value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBase64DecodingRequired()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD